Subject: [MIB-DOCTORS] IPV6-TC MIB and missing MODULE-IDENTITY

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 6 Sep 2006 00:00:17 +0200

[changed the subject line to represent what we're discussing]

Inline

> -----Original Message-----
> From: David T. Perkins [mailto:[email-masked]]
> Sent: Tuesday, September 05, 2006 22:51
> To: Wijnen, Bert (Bert)
> Cc: MIB Doctors (E-mail)
> Subject: Re: [MIB-DOCTORS] Help: use of TransportDomain/Address
> (RFC3419) vs TDomain/TAddres s (RFC2579)
> 
> 
> HI,
> 

.. snip ..

> 
> Slight change of topic...
> It was reported on the comp.protocols.snmp news group that
> the IPV6-TC MIB module lacks a MODULE-IDENTITY specification.
> Is this noted, and is there a plan to fix?
> 

So can you ask them as to which MIB module/document they picked up
from where?

The one in RFC2465 indeed does not have a MODULE-IDENTITY.
That RFC has been obsoleted by RFC4293, and that new doc does no
longer have that IPV6-TC.
I Think the TCs that were specified are no longer needed and
the INET-ADDRESS-MIB has newer and better TCs.

Bert
> Regards,
> /david t. perkins

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 6 Sep 2006 09:48:53 +0200

> the INET-ADDRESS-MIB has newer and better TCs.

The libsmi distribution contains this MIB module as it came out of RFC
2465. The problem here is that modules are are not needed anymore
simply stay around in order to not break imports and as a consequence
people keep using the definitions (and why not - they are still marked
"current"). For the customer who writes code, it would actually better
to retire MIB modules by republishing them with all definitions marked
as "obsolete" or "deprecated". Just setting a bit in the RFC editor's
database simply is not enough to stop people using outdated
definitions.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany